Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590924 - RFE: Yum - document dynamic variables
Summary: RFE: Yum - document dynamic variables
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Deployment_Guide
Version: 6.1
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jaromir Hradilek
QA Contact: ecs-bugs
URL: http://documentation-stage.bne.redhat...
Whiteboard:
Depends On:
Blocks: 611906
TreeView+ depends on / blocked
 
Reported: 2010-05-11 00:14 UTC by Douglas Silas
Modified: 2011-05-25 11:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 611906 (view as bug list)
Environment:
Last Closed: 2011-05-25 11:53:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Douglas Silas 2010-05-11 00:14:41 UTC
Documentation Tracker bug for RHEL6 Deployment Guide.

>   dynamic yum variables, is probably worth putting something in 1.3.3
> again from the man page:
> 
>         As of 3.2.28, any file in /etc/yum/vars is turned into a variable named
>         after the filename (or overrides any of the above variables).
> 
>         Note  that no warnings/errors are given if the files are unreadable, so
>         creating files that only root can read may be confusing for users.
> 
>         Also note that only the first line will be read and all new line  char-
>         acters  are  removed,  as  a convenience. However, no other checking is
>         performed on the data. This means it is possible to have bad  character
>         data in any value.

SME contact is James Antill.

Comment 1 Douglas Silas 2010-05-11 00:21:40 UTC
Is there existing documentation on this feature? (e.g. blog post or write-up?)

What are the use cases in mind for it?

I'm showing /etc/yum/vars doesn't exist on current RHEL6beta: users will therefore need to create it.

I'm not sure from the man page what the contents of the file are supposed to be. The file name is turned into a variable named after the file, and that var is accessible when yum is reading the contents of /etc/yum.conf and /etc/yum.repos.d/ files (and only then?). 

Not sure because I do not yet see the updated man page for this.

Comment 3 RHEL Product and Program Management 2010-05-11 02:32:17 UTC
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. You may re-open your request by requesting your support
representative to propose it for the next release.

Comment 4 Michael Hideo 2010-06-17 01:51:18 UTC
Can you mark this as NEEDINFO from James?

Comment 5 James Antill 2010-07-06 20:09:40 UTC
What do you mean by "current RHEL6Beta" ? I'm guessing you mean what was in beta1?

beta2 yum should have /etc/yum/vars and should have documentation in "man yum.conf" (either is a bug, but looking now I only see the man page not the dir :().

The man page says:


       As of 3.2.28, any file in /etc/yum/vars is turned into a variable named
       after the filename (or overrides any of the above variables).

       Note that no warnings/errors are given if the files are unreadable,  so
       creating files that only root can read may be confusing for users.

       Also  note that only the first line will be read and all new line char-
       acters are removed, as a convenience. However,  no  other  checking  is
       performed  on the data. This means it is possible to have bad character
       data in any value.


Note You need to log in before you can comment on or make changes to this bug.